from microbit import *
import neopixel
np = neopixel.NeoPixel(pin0, 30)
i = 0

while True:
    if button_a.is_pressed():
        for k in range(0, 29, 1):
            np[i] = (0, 255, 0)
            np.show()
            i = i + 1




